Subject: Re: gallery article contribution
From: "Steve Bamford" <[email-masked]>
To: "Michael Taylor" <[email-masked]>
Date: Sun, 28 Jul 2002 02:49:02 -0700

----- Original Message ----- 
  From: Michael Taylor 
  To: [email-masked] 
  Sent: Tuesday, June 25, 2002 4:51 PM
  Subject: gallery article contribution

  Hi Steve,
   
    Here are a couple of my latest:
   
  First is a scratchbuilt 1/400 C-17. Carved from wood-them cast in resin this was my first totally scratchbuilt project. I rebuilt the forward section after I had initially cast it because I wasn't quite satisfied with the shape.
   
  Second the good old Monogram P-80 done as a USMC TO-1 from VMF-311.